NisusWrtStruct::RecursifData Struct Reference

Internal: low level a structure helping to read recursifList. More...

`#include <NisusWrtStruct.hxx>`

## Classes

struct | Info
| the zone information More...
struct | Node
| the data data More...

## Public Member Functions

| RecursifData (NisusWrtStruct::ZoneType zone, NisusWrtStruct::VariableType vType=NisusWrtStruct::V_None, int level=0)
| constructor
| RecursifData (RecursifData const &orig)
| copy constructor
RecursifData & | operator= (RecursifData const &orig)
| copy operator
bool | read (NisusWrtParser &parser, MWAWEntry const &entry)
| read the data

## Public Attributes

std::shared_ptr< Info > | m_info
| zone information
int | m_level
| the node level
std::vector< Node > | m_childList
| the list of data entry

## Detailed Description

Internal: low level a structure helping to read recursifList.

## Constructor & Destructor Documentation

## RecursifData() [1/2]

NisusWrtStruct::RecursifData::RecursifData | ( | NisusWrtStruct::ZoneType | zone,
|  | NisusWrtStruct::VariableType | vType = NisusWrtStruct::V_None,
|  | int | level = 0 )

inline explicit

constructor

Referenced by operator=(), read(), and RecursifData().

## RecursifData() [2/2]

NisusWrtStruct::RecursifData::RecursifData | ( | RecursifData const & | orig | ) |

inline

copy constructor

## Member Function Documentation

## operator=()

RecursifData & NisusWrtStruct::RecursifData::operator= | ( | RecursifData const & | orig | ) |

inline

copy operator

## read()

bool NisusWrtStruct::RecursifData::read | ( | NisusWrtParser & | parser,
|  | MWAWEntry const & | entry )

read the data

Referenced by NisusWrtGraph::createZones(), and NisusWrtParser::createZones().

## Member Data Documentation

## m_childList

std::vector<Node> NisusWrtStruct::RecursifData::m_childList

the list of data entry

Referenced by operator=(), read(), NisusWrtGraph::readPLDT(), NisusWrtParser::readReference(), NisusWrtParser::readSGP1(), NisusWrtParser::readVariable(), RecursifData(), and RecursifData().

## m_info

std::shared_ptr<Info> NisusWrtStruct::RecursifData::m_info

zone information

Referenced by operator=(), read(), NisusWrtGraph::readPLDT(), NisusWrtParser::readReference(), NisusWrtParser::readSGP1(), NisusWrtParser::readVariable(), RecursifData(), and RecursifData().

## m_level

int NisusWrtStruct::RecursifData::m_level

the node level

Referenced by operator=(), read(), RecursifData(), and RecursifData().

The documentation for this struct was generated from the following files:

- NisusWrtStruct.hxx
- NisusWrtStruct.cxx